Loading...
Searching...
No Matches
heap_allocator< T >::handler_type

## Detailed Description

template<typename T>
struct rheolef::heap_allocator< T >::handler_type

Definition at line 185 of file heap_allocator.h.

## Public Member Functions

| handler_type ()
| ~handler_type ()
unsigned char * | raw_allocate (size_type size)

## Public Attributes

std::list< std::vector< unsigned char > > | heap
size_type | heap_block_size
size_type | heap_block_last_free
size_type | reference_count

## Static Public Attributes

static const size_type | heap_block_size_init = 512*sizeof(T)

## Constructor & Destructor Documentation

## handler_type()

template<class T >

handler_type | ( |  | ) |

Definition at line 201 of file heap_allocator.h.

## ~handler_type()

template<class T >

~handler_type | ( |  | ) |

Definition at line 226 of file heap_allocator.h.

## Member Function Documentation

## raw_allocate()

template<class T >

unsigned char * raw_allocate | ( | size_type | size | ) |

Definition at line 212 of file heap_allocator.h.

## Member Data Documentation

## heap

template<typename T >

std::list<std::vector<unsigned char> > heap

Definition at line 193 of file heap_allocator.h.

## heap_block_size

template<typename T >

size_type heap_block_size

Definition at line 194 of file heap_allocator.h.

## heap_block_last_free

template<typename T >

size_type heap_block_last_free

Definition at line 195 of file heap_allocator.h.

## reference_count

template<typename T >

size_type reference_count

Definition at line 196 of file heap_allocator.h.

## heap_block_size_init

template<typename T >

const size_type heap_block_size_init = 512*sizeof(T)

static

Definition at line 197 of file heap_allocator.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/util/lib/heap_allocator.h